#include <stdio.h>

int main(){
	int i; /* indice */
	int voto; /* voti[i]>=18 && voti[i]<=30 */
	int crediti; /* crediti[i]>=1 && crediti[i]<=12 */
	int nvoti=0; /* nvoti<=30 */
	char scelta='s';
	int somma_crediti=0;
	int somma_pesata_voti=0;
	float media=0.0;
	
	for(i=0; scelta=='s'; i++){
		do {
			printf("Inserire nuovo voto: ");
			scanf("%d", &voto);
		} while ( voto<18 || voto>30 );
		do {
			printf("Inserire crediti corrispondenti: ");
			scanf("%d", &crediti);
		} while ( crediti<1 || crediti>12 );
		somma_crediti+=crediti;
		somma_pesata_voti+=voto*crediti;
		do {
			printf("Inserire un altro voto? [s/n]");
			scanf("%c", &scelta);
			scanf("%c", &scelta);
			/* printf("\n\"%c\"\n",scelta); */
		} while (scelta!='s' && scelta!='n');
	}
	nvoti=i;

	media = ((float) somma_pesata_voti)/((float) somma_crediti);
	printf("Media dei voti: %f (su %d voti)\n", media, nvoti);

	return 0;
}

